package com.bonus.canteen.core.supply.purchase.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@ApiModel
public class DrpGeneratePurPlanDetailDTO {
   @ApiModelProperty("原料id")
   private @NotNull(
   message = "原料/商品不能空"
) Long materialId;
   @ApiModelProperty("计量单位id")
   private @NotNull(
   message = "计量单位不能为空!"
) Long unitId;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("采购数量")
   private BigDecimal purNum;
   @ApiModelProperty("生产计划数量")
   private BigDecimal proPlanNum;
   @ApiModelProperty("备注")
   private String remark;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getSize() {
      return this.size;
   }

   public BigDecimal getPurNum() {
      return this.purNum;
   }

   public BigDecimal getProPlanNum() {
      return this.proPlanNum;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setPurNum(final BigDecimal purNum) {
      this.purNum = purNum;
   }

   public void setProPlanNum(final BigDecimal proPlanNum) {
      this.proPlanNum = proPlanNum;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }
}
